Loading management

React Bootstrap 5 Loading management

Displays animation in a container (such as a table) while loading data.

Note: Read the API tab to find all available options and advanced customization


Basic example

Loading automatically init when you add class loading to your element. Loading automatically attach to body element, so if you want attach loading to element you have add parentRef property with a reference to your parent.

Loading...
        
            
          import React, { useRef } from 'react';
          import { MDBLoadingManagement } from 'mdb-react-ui-kit';
  
          export default function App() {
            const basicRef = useRef(null);

            return (
              <div ref={basicRef} style={{ height: "300px", width: "100%", zIndex: "1029" }}>
                <MDBLoadingManagement parentRef={basicRef} />
              </div>
            );
          }
          
        
    

Colors

You can set a diffrent colors to loader with text-* color like primary, success, danger, warning.

Loading...
        
            
          import React, { useRef } from 'react';
          import { MDBLoadingManagement } from 'mdb-react-ui-kit';
  
          export default function App() {
            const colorsRef = useRef(null);

            return (
              <div ref={colorsRef} style={{ height: "300px", width: "100%", zIndex: "1029" }}>
                <MDBLoadingManagement color='success' parentRef={colorsRef} backdropColor='blue' backdropOpacity={0.2} />
              </div>
            );
          }
          
        
    

Custom spinners

MDB Growing spinner

If you don’t fancy a border spinner, switch to the grow spinner. While it doesn’t technically spin, it does repeatedly grow!

Loading...
        
            
            import React, { useRef } from 'react';
            import { MDBLoadingManagement } from 'mdb-react-ui-kit';
    
            export default function App() {
              const customRef = useRef(null);

              return (
                <div ref={customRef} style={{ height: "300px", width: "100%", zIndex: "1029" }}>
                  <MDBLoadingManagement
                    parentRef={customRef}
                    spinnerElement={<MDBSpinner className='loading-icon' grow role='status' />}
                  />
                </div>
              );
            }
          
        
    

Font Awesome

Loading...
        
            
            import React, { useRef } from 'react';
            import { MDBLoadingManagement } from 'mdb-react-ui-kit';
    
            export default function App() {
              const fontRef = useRef(null);
              
              return (
                <div ref={fontRef} style={{ height: "300px", width: "100%", zIndex: "1029" }}>
                  <MDBLoadingManagement
                    spinnerElement={<MDBIcon className='loading-icon' fas icon='spinner' size='2x' spin />}
                    parentRef={fontRef}
                  />
                </div>
              );
            }
          
        
    

Delay

        
            
            import React, { useEffect, useState } from 'react';
            import { MDBLoadingManagement, MDBSwitch } from 'mdb-react-ui-kit';
    
            export default function App() {
              const [delay, setDelay] = useState(false);
              const [switchValue, setSwitchValue] = useState(false);
              const [counter, setCounter] = useState(4);

              useEffect(() => {
                if (switchValue && !delay) {
                  const timer = setTimeout(() => {
                    if (counter > 0) {
                      setCounter(counter - 1);
                    }
                    if (counter === 0) {
                      setDelay(true);
                      setCounter(4);
                    }
                  }, 1000);
            
                  return () => clearTimeout(timer);
                }
              }, [switchValue, counter, delay]);
            
              useEffect(() => {
                if (delay) {
                  setTimeout(() => {
                    setDelay(false);
                  }, 3000);
                }
              }, [delay]);

              return (
                <>
                  {switchValue && (
                    <div className='test-counter h2 d-flex justify-content-center align-items-center'>{counter}</div>
                  )}
                  <MDBSwitch
                    value={switchValue}
                    onChange={() => {
                      setCounter(4);
                      setSwitchValue(!switchValue);
                    }}
                    label='Switch Delay'
                  />
                  <MDBLoadingManagement isOpen={delay} overflow={false} fullScreen />
                </>
              );
            }
          
        
    

Full screen

        
            
            import React, { useEffect, useState } from 'react';
            import { MDBLoadingManagement, MDBBtn } from 'mdb-react-ui-kit';

            export default function App() {
              const [fullscreen, setFullscreen] = useState(false);

              useEffect(() => {
                if (fullscreen) {
                  setTimeout(() => {
                    setFullscreen(false);
                  }, 5000);
                }
              }, [fullscreen]);

              return (
                <>
                  <MDBBtn onClick={() => setFullscreen(true)}>FULL SCREEN</MDBBtn>
                  <MDBLoadingManagement isOpen={fullscreen} fullScreen />
                </>
              );
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Loading management - API


Import

        
            
          import { MDBLoadingManagement } from 'mdb-react-ui-kit';
        
        
    

Properties

MDBLoadingManagement

Name Type Default Description Example
backdrop boolean true Set loader backdrop/td> <MDBLoadingManagement backdrop={false} />
backdropColor string rgba(0, 0, 0) Set loader backdrop color <MDBLoadingManagement backdropColor="red" />
backdropOpacity number 0.4 Set loader backdrop opacity <MDBLoadingManagement backdropOpacity={0.2} />
color 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'light' | 'dark' | 'muted' | 'white' | 'info' '' Change color of the text <MDBLoadingManagement color="secondary" />
loadingText React.ReactNode Loading... Set text to loader <MDBLoadingManagement loadingText="In progress" />
isOpen boolean true Open state of the show loader <MDBLoadingManagement isOpen={openState} />
fullScreen boolean false Set backdrop fullscreen <MDBLoadingManagement fullScreen />
overflow boolean true Set overflow='none' to backdrop <MDBLoadingManagement overflow={false} />
parentRef React.RefObject null Reference to parent element <MDBLoadingManagement parentRef={parent} />
ref React.RefObject null Reference to the element <MDBLoadingManagement ref={reference} />
spinnerElement React.ReactNode '' Change the spinner element <MDBLoadingManagement spinnerElement={customSpinner} />
textClassName string '' Add custom class to MDBLoadingManagement text <MDBLoadingManagement textClassName="class" />
textStyles React.CSSProperties undefined Add custom styles to MDBLoadingManagement text <MDBLoadingManagement textStyles={{color: 'red'}} />

Loading management

Vue Loading management

Displays animation in a container (such as a table) while loading data.

Note: Read the API tab to find all available options and advanced customization


Basic example

Use MDBLoading component to init loading on your page. Loading automatically attach to body element, so if you want attach loading to element you have add parentSelector property with class or id of your parent.

Loading...
        
            
            <template>
              <div
                id="loading-test"
                style="height: 300px; width: 100%; z-index: 1029"
              >
                <MDBLoading parentSelector="#loading-test" />
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBLoading } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBLoading
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBLoading } from "mdb-vue-ui-kit";
            </script>
          
        
    

Colors

You can set a diffrent colors to loader by using textClasses and spinnerClasses properties with text-* color like primary, success, danger, warning.

Loading...
        
            
            <template>
              <div
                id="loading-test-2"
                style="height: 300px; width: 100%; z-index: 1029"
              >
                <MDBLoading
                  parentSelector="#loading-test-2"
                  spinnerClasses="text-success"
                  textClasses="text-success"
                  backdropColor="blue"
                  :backdropOpacity="0.2"
                />
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBLoading } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBLoading
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBLoading } from "mdb-vue-ui-kit";
            </script>
          
        
    

Custom spinners

MDB Growing spinner

If you don’t fancy a border spinner, switch to the grow spinner. While it doesn’t technically spin, it does repeatedly grow!

Loading...
        
            
              <template>
                <div
                  id="loading-test-3"
                  style="height: 300px; width: 100%; z-index: 1029"
                >
                  <MDBLoading
                    parentSelector="#loading-test-3"
                    icon="spinner-grow"
                  />
                </div>
              </template>
            
        
    
        
            
              <script>
                import { MDBLoading } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBLoading
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBLoading } from "mdb-vue-ui-kit";
              </script>
            
        
    

Font Awesome

Loading...
        
            
              <template>
                <div
                  id="loading-test-4"
                  style="height: 300px; width: 100%; z-index: 1029"
                >
                  <MDBLoading
                    parentSelector="#loading-test-4"
                    icon="fas fa-spinner fa-spin fa-2x"
                  />
                </div>
              </template>
            
        
    
        
            
              <script>
                import { MDBLoading } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBLoading
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBLoading } from "mdb-vue-ui-kit";
              </script>
            
        
    

Delay

        
            
              <template>
                <div
                  v-if="switch1"
                  class="test-counter h2 d-flex justify-content-center align-items-center"
                >
                  {{ counter }}
                </div>
                <MDBSwitch label="Switch Delay" v-model="switch1" />
                <MDBLoading v-model="isSwitched" />
              </template>
            
        
    
        
            
              <script>
                import { MDBLoading, MDBSwitch } from "mdb-vue-ui-kit";
                import { ref, watch } from "vue";
                export default {
                  components: {
                    MDBLoading,
                    MDBSwitch
                  },
                  setup(){
                    const counter = ref(4);
                    const switch1 = ref(false);
                    const isSwitched = ref(false);
                    const timer = ref(null)
                    watch(
                      () => switch1.value,
                      value => {
                        if (value && !isSwitched.value) {
                          timer.value = setInterval(() => {
                            if (counter.value > 0) {
                              counter.value = counter.value - 1;
                            }
                            if (counter.value === 0) {
                              isSwitched.value = true;
                              counter.value = 4;
                            }
                          }, 1000);
                        }
                      }
                    );
                    watch(
                      () => isSwitched.value,
                      value => {
                        if (value) {
                          clearInterval(timer.value);
                          setTimeout(() => {
                            isSwitched.value = false;
                          }, 3000);
                        }
                      }
                    );
                    return {
                      counter,
                      switch1,
                      isSwitched
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script>
                import { MDBLoading, MDBSwitch } from "mdb-vue-ui-kit";
                import { ref, watch } from "vue";

                const counter = ref(4);
                const switch1 = ref(false);
                const isSwitched = ref(false);
                const timer = ref<number>(null)
                watch(
                  () => switch1.value,
                  value => {
                    if (value && !isSwitched.value) {
                      timer.value = setInterval(() => {
                        if (counter.value > 0) {
                          counter.value = counter.value - 1;
                        }
                        if (counter.value === 0) {
                          isSwitched.value = true;
                          counter.value = 4;
                        }
                      }, 1000);
                    }
                  }
                );
                watch(
                  () => isSwitched.value,
                  value => {
                    if (value) {
                      clearInterval(timer.value);
                      setTimeout(() => {
                        isSwitched.value = false;
                      }, 3000);
                    }
                  }
                );
              </script>
            
        
    

Full screen

        
            
              <template>
                <MDBBtn color="primary" @click="isSwitched = true">
                  Full screen
                </MDBBtn>
                <MDBLoading v-model="isSwitched" />
              </template>
            
        
    
        
            
              <script>
                import { MDBLoading, MDBBtn } from "mdb-vue-ui-kit";
                import { ref, watch } from "vue";
                export default {
                  components: {
                    MDBLoading,
                    MDBBtn
                  },
                  setup(){
                    const isSwitched = ref(false);
                    watch(
                      () => isSwitched.value,
                      value => {
                        if (value) {
                          setTimeout(() => {
                            isSwitched.value = false;
                          }, 3000);
                        }
                      }
                    );
                    return {
                      isSwitched
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBLoading, MDBBtn } from "mdb-vue-ui-kit";
                import { ref, watch } from "vue";

                const isSwitched = ref(false);
                watch(
                  () => isSwitched.value,
                  value => {
                    if (value) {
                      setTimeout(() => {
                        isSwitched.value = false;
                      }, 3000);
                    }
                  }
                );
              </script>
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Loading management - API


Import

        
            
        <script>
          import {
            MDBLoading
          } from 'mdb-vue-ui-kit';
        </script>
      
        
    

Properties

Property Type Default Description
tag String "div" Set tag of loading element wrapper
fullScreen Boolean true Attach loading to the body element
parentSelector String ' Set parent of loader. It can be every element with class or id
icon String 'spinner-border' Set loader icon
loadingText String 'Loading...' Set loader text
backdropColor String 'black' Set loader backdrop color
backdropOpacity Number 0.4 Set loader backdrop opacity
overflow Boolean true Set body attribute overflow: 'hidden' on on active loader
spinnerClasses String Adds custom classes to loader icon element
textClasses String Adds custom classes to loader text element
v-model String Manually show/hide loader element

Loading management

Angular Bootstrap 5 Loading management

Displays animation in a container (such as a table) while loading data.

Note: Read the API tab to find all available options and advanced customization


Basic example

Loading automatically init when you set [show] input to true. Loader will take all available space of its container. If you don't use fullscreen loader and want to attach loader to a container, use [container] and specify parent element for mdb-loading component.

Loading...
        
            
            <div style="height: 300px; width: 100%; z-index: 1029" #container>
              <mdb-loading [show]="true" [container]="container">
                <div class="loading-spinner">
                  <div class="spinner-border loading-icon" role="status"></div>
                  <span class="loading-text">Loading...</span>
                </div>
              </mdb-loading>
            </div>
          
        
    

Colors

You can set a different colors to loader with text-* color like primary, success, danger, warning.

Loading...
        
            
            <div style="height: 300px; width: 100%; z-index: 1029" #container>
              <mdb-loading [show]="true" [container]="container">
                <div class="loading-spinner">
                  <div class="spinner-border loading-icon text-success" role="status"></div>
                  <span class="loading-text text-success">Loading...</span>
                </div>
              </mdb-loading>
            </div>
          
        
    

Custom spinners

MDB Growing spinner

If you don’t fancy a border spinner, switch to the grow spinner. While it doesn’t technically spin, it does repeatedly grow!

Loading...
        
            
              <div
                style="height: 300px; width: 100%; z-index: 1029"
                #container
              >
                <mdb-loading [show]="true" [container]="container">
                  <div class="loading-spinner">
                    <div class="spinner-grow loading-icon" role="status"></div>
                    <span class="loading-text">Loading...</span>
                  </div>
                </mdb-loading>
              </div>
            
        
    

Font Awesome

Use font awesome spinner icon to indicate loading status.

Loading...
        
            
              <div style="height: 300px; width: 100%; z-index: 1029" #container>
                <mdb-loading [show]="true" [container]="container">
                  <div class="loading-spinner">
                    <div class="fas fa-spinner fa-spin fa-2x loading-icon"></div>
                    <span class="loading-text">Loading...</span>
                  </div>
                </mdb-loading>
              </div>
            
        
    

Delay

Use following code to delay the appearance of loading spinner.

        
            
            <div>
              <div class="h2 d-flex justify-content-center" *ngIf="showTimer">{{ time }}</div>
              <div class="form-check form-switch my-3">
                <input
                  mdbCheckbox
                  (checkboxChange)="onChange()"
                  class="form-check-input"
                  type="checkbox"
                  id="flexSwitchCheckDefault"
                />
                <label class="form-check-label" for="flexSwitchCheckDefault">Switch Delay</label>
              </div>
              <mdb-loading [show]="show" [fullscreen]="true">
                <div class="loading-spinner">
                  <div class="spinner-border loading-icon" role="status"></div>
                  <span class="loading-text">Loading...</span>
                </div>
              </mdb-loading>
            </div>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-loading-management',
              templateUrl: './loading-management.component.html',
              styleUrls: ['./loading-management.component.scss'],
            })
            export class LoadingManagementComponent {
              show = false;
              showTimer = false;
              time = 4;

              constructor() {}

              onChange() {
                this.showTimer = true;
                const delayTimer = setInterval(() => {
                  if (this.time <= 1) {
                    clearInterval(delayTimer);
                    this.show = true;
                    setTimeout(() => {
                      this.show = false;
                    }, 5000);
                  }
                  this.time -= 1;
                }, 1000);
              }
            }
          
        
    

Full screen

Use the code below to add spinner for larger content areas or for full-screen loading.

        
            
            <div>
              <button class="btn btn-primary" id="btn-full-screen" (click)="showLoader()">
                Full screen
              </button>
            </div>
            <mdb-loading [show]="show" [fullscreen]="true">
              <div class="loading-spinner">
                <div class="spinner-border loading-icon" role="status"></div>
                <span class="loading-text">Loading...</span>
              </div>
            </mdb-loading>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-loading-management',
              templateUrl: './loading-management.component.html',
              styleUrls: ['./loading-management.component.scss'],
            })
            export class LoadingManagementComponent {
              show = false;

              constructor() {}

              showLoader(): void {
                this.show = true;
                setTimeout(() => {
                  this.show = false;
                }, 5000);
              }
            }
          
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Loading management - API


Import

        
            
          import { MdbLoadingModule } from 'mdb-angular-ui-kit/loading';
          …
          @NgModule ({
            ...
            imports: [MdbLoadingModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
backdrop boolean true Whether loader backdrop should be displayed
backdropClass string - Defines custom backdrop class
container HTMLElement - Defines parent container of the loader component
fullscreen boolean false Whether fullscreen loader should be displayed